# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'seeding_utils/version'

Gem::Specification.new do |spec|
  spec.name          = "seeding_utils"
  spec.version       = SeedingUtils::VERSION
  spec.authors       = ["Norman Clarke"]
  spec.email         = ["norman@njclarke.com"]
  spec.description   = %q{Seeding Utils for Postgres.}
  spec.summary       = %q{Some database seeding utilities for Postgres.}
  spec.homepage      = "https://github.com/flexminder/seeding_utils"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "pg", "~> 0.16.0"
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
